SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002953: Kernel Panic during installation in a Virtualbox VM - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002953Endian FirewallInstallationpublic2010-05-30 14:352010-11-22 11:49
ReporterDenny Crane 
Assigned Tochristian-endian 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target Version2.4.1Fixed in Version2.4.1 
Summary0002953: Kernel Panic during installation in a Virtualbox VM
DescriptionI tryed to install Endian in some VM's

Virutal Box 3.2.0
"Kernel panic - not syncing : Fatal exception in interrupt"

and on

VirtualPC 6.0.156.0
"Kernel panic - not syncing : Attempted to kill the idle task"
TagsNo tags attached.
Attached Filespng file icon Fatal_exception_in_interrupt.png [^] (475,699 bytes) 2010-07-12 00:38

- Relationships

-  Notes
(0004308)
baldy (reporter)
2010-05-30 20:28

Installation in Virtual PC on Windows 7 does succeed but completely messes up the file system.
(0004326)
christian-endian (administrator)
2010-06-01 08:22

Did you install the 2.4 image or the 2.4-RESPIN image? Please try with the RESPIN image if you haven't already...
(0004331)
Denny Crane (reporter)
2010-06-01 13:39
edited on: 2010-06-01 13:40

uh, ähm... I do not realy know.
I used this one "EFW-COMMUNITY-2.4-201005280528"

@christian
I think you postet this version a few days ago in the german efw forum? ;)

(0004332)
giig (reporter)
2010-06-01 14:02

I used the EFW-COMMUNITY-2.4-201005280528-RESPIN.iso file on Virtualbox 3.2.0r61806: same error


Virtual Box 3.2.0
"Kernel panic - not syncing : Fatal exception in interrupt"
(0004333)
baldy (reporter)
2010-06-01 14:05

Installation of the RESPIN version in Virtual PC on Windows 7 fails.

Setup hangs either at making root filesystem or installing packages.
(0004542)
monska (reporter)
2010-06-20 13:51

I try to install:
EFW-COMMUNITY-2.4-201005280528-RESPIN.iso
on virtualbox 3.2.4 on linux fedora and the error persist:
Kernel panic - not syncing: Fatal exception in interrupt
(0004550)
clubbing80s (reporter)
2010-06-22 11:35

I can also confirm this error
"Kernel panic - not syncing : Fatal exception in interrupt"
 With VirtualBox 3.2.4 r62647
(0004566)
subsonica (reporter)
2010-06-28 18:00

Endian needs a rs232 port: In ordert o install endian in a VM, anable RS232 port (COM1) in your virtual machine configuration.
In virtualbox select your vm (while it is turned off) and go to configuration->serial ports->check "Port 1 ->Enabled serial port" and direct it to whatever COM you want (you can even leave it with the "disconnected" option checket, but the installer must detect the virtual RS232 hardware, otherwise it panics.
(0004567)
subsonica (reporter)
2010-06-28 18:13

Same issue as with a physical machine not having serial/rs232 ports enabled at bios level:
http://kb.endian.com/entry/9/ [^]
(0004568)
subsonica (reporter)
2010-06-28 18:16

Sorry, I misspelled the solution:

Endian needs a serial/rs232 port: In order to install endian in a VM, enable at least a virtual RS232 port (COM1.COM2,COM3,whichever) in your virtual machine settings.
In Virtualbox select your VM (while it is turned off) and go to configuration->serial ports->and check "Port 1 ->Enable serial port" and select it to be directed whichever COM you want (you can even leave the "disconnected" option checked, but the installer must detect the virtual RS232 hardware, otherwise it panics.)
(0004607)
saw3 (reporter)
2010-07-10 08:41

Enabling the serial port doesn't solve the problem.

We have tested it with Virtualbox-3.2.6-63112 running on debian "lenny" with kernel 2.6.27 or kernel 2.6.32 on an Intel E2160 system with an enabled serial port or host pipe or file. The result is always the same:

[ 0.000000] Linux version 2.6.27.19-72.e25 (root@buildmaster.office) (gcc version 4.1.2 20070626 (e 4.1.2-14)) 0000001 SMP Thu May 27 19:29:04 EDT 2010
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
[ 0.000000] BIOS-e820: 000000003fff0000 - 0000000040000000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
[ 0.000000] DMI 2.5 present.
[ 0.000000] last_pfn = 0x3fff0 max_arch_pfn = 0x100000
[ 0.000000] CPU MTRRs all blank - virtualized system.
[ 0.000000] RAMDISK: 3f208000 - 3ffcf125
[ 0.000000] Allocated new RAMDISK: 00809000 - 015d0125
[ 0.000000] Move RAMDISK from 000000003f208000 - 000000003ffcf124 to 00809000 - 015d0124
[ 0.000000] ACPI: RSDP 000E0000, 0024 (r2 VBOX )
[ 0.000000] ACPI: XSDT 3FFF0030, 003C (r1 VBOX VBOXXSDT 1 ASL 61)
[ 0.000000] ACPI: FACP 3FFF00F0, 00F4 (r4 VBOX VBOXFACP 1 ASL 61)
[ 0.000000] ACPI: DSDT 3FFF0460, 18FF (r1 VBOX VBOXBIOS 2 INTL 20061109)
[ 0.000000] ACPI: FACS 3FFF0200, 0040
[ 0.000000] ACPI: APIC 3FFF0240, 004A (r2 VBOX VBOXAPIC 1 ASL 61)
[ 0.000000] ACPI: SSDT 3FFF0290, 01CC (r1 VBOX VBOXCPUT 2 INTL 20061109)
[ 0.000000] 127MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] mapped low ram: 0 - 38000000
[ 0.000000] low ram: 00000000 - 38000000
[ 0.000000] bootmap 00008000 - 0000f000
[ 0.000000] (9 early reservations) ==> bootmem [0000000000 - 0038000000]
[ 0.000000] #0 [0000000000 - 0000001000] BIOS data page ==> [0000000000 - 0000001000]
[ 0.000000] 0000001 [0000001000 - 0000002000] EX TRAMPOLINE ==> [0000001000 - 0000002000]
[ 0.000000] 0000002 [0000006000 - 0000007000] TRAMPOLINE ==> [0000006000 - 0000007000]
[ 0.000000] 0000003 [0000400000 - 0000804580] TEXT DATA BSS ==> [0000400000 - 0000804580]
[ 0.000000] 0000004 [0000805000 - 0000809000] INIT_PG_TABLE ==> [0000805000 - 0000809000]
[ 0.000000] #5 [000009fc00 - 0000100000] BIOS reserved ==> [000009fc00 - 0000100000]
[ 0.000000] #6 [0000007000 - 0000008000] PGTABLE ==> [0000007000 - 0000008000]
[ 0.000000] 0000007 [0000809000 - 00015d0125] NEW RAMDISK ==> [0000809000 - 00015d0125]
[ 0.000000] 0000008 [0000008000 - 000000f000] BOOTMAP ==> [0000008000 - 000000f000]
[ 0.000000] found SMP MP-table at [c009fff0] 0009fff0
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0x00000000 -> 0x00001000
[ 0.000000] Normal 0x00001000 -> 0x00038000
[ 0.000000] HighMem 0x00038000 -> 0x0003fff0
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[2] active PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x0000009f
[ 0.000000] 0: 0x00000100 -> 0x0003fff0
[ 0.000000] ACPI: PM-Timer IO Port: 0x4008
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] Enabling APIC mode: Flat. Using 1 I/O APICs
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[ 0.000000] Allocating PCI resources starting at 50000000 (gap: 40000000:bffc0000)
[ 0.000000] PERCPU: Allocating 40732 bytes of per cpu data
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 259983
[ 0.000000] Kernel command line: ide=nodma initrd=instroot.gz root=/dev/ram0 rw nopcmcia BOOT_IMAGE=vmlinuz console=ttyS0
[ 0.000000] Enabling fast FPU save and restore... done.
[ 0.000000] Enabling unmasked SIMD FPU exception support... done.
[ 0.000000] Initializing CPU#0
[ 0.000000] PID hash table entries: 4096 (order: 12, 16384 bytes)
[ 0.000000] TSC: Unable to calibrate against PIT
[ 0.000000] TSC: using PMTIMER reference calibration
[ 0.000000] Detected 1801.754 MHz processor.
[ 0.000999] Console: colour VGA+ 80x25
[ 0.000999] console [ttyS0] enabled
[ 0.000999] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 0.000999] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 0.000999] Memory: 1020404k/1048512k available (2186k kernel code, 27380k reserved, 982k data, 308k init, 131008k highmem)
[ 0.000999] virtual kernel memory layout:
[ 0.000999] fixmap : 0xffe18000 - 0xfffff000 (1948 kB)
[ 0.000999] pkmap : 0xff800000 - 0xffc00000 (4096 kB)
[ 0.000999] vmalloc : 0xf8800000 - 0xff7fe000 ( 111 MB)
[ 0.000999] lowmem : 0xc0000000 - 0xf8000000 ( 896 MB)
[ 0.000999] .init : 0xc071e000 - 0xc076b000 ( 308 kB)
[ 0.000999] .data : 0xc0622a99 - 0xc0718448 ( 982 kB)
[ 0.000999] .text : 0xc0400000 - 0xc0622a99 (2186 kB)
[ 0.000999] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[ 0.000999] SLUB: Genslabs=12, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.021266] Calibrating delay loop (skipped), value calculated using timer frequency.. 3603.50 BogoMIPS (lpj=1801754)
[ 0.037284] Security Framework initialized
[ 0.038276] SELinux: Initializing.
[ 0.041322] Mount-cache hash table entries: 512
[ 0.081434] , L1 D cache: 32K
[ 0.082224] CPU: L2 cache: 6144K
[ 0.084312] Intel machine check architecture supported.
[ 0.086287] Intel machine check reporting enabled on CPU#0.
[ 0.087242] using mwait in idle threads.
[ 0.089749] Checking 'hlt' instruction... OK.
[ 0.133206] SMP alternatives: switching to UP code
[ 1.974923] BUG: unable to handle kernel paging request at 1b8b0683
[ 1.977288] IP: [<c042c650>] run_timer_softirq+0x161/0x16b
[ 1.979126] *pde = 00000000
[ 1.980923] Oops: 0002 [0000001] SMP
[ 1.980923] Modules linked in:
[ 1.980923]
[ 1.980923] Pid: 0, comm: swapper Not tainted (2.6.27.19-72.e25 0000001)
[ 1.980923] EIP: 0060:[<c042c650>] EFLAGS: 00010283 CPU: 0
[ 1.980923] EIP is at run_timer_softirq+0x161/0x16b
[ 1.980923] EAX: c07e4200 EBX: c076efcc ECX: fffb73d4 EDX: c07e48a4
[ 1.980923] ESI: c07e4200 EDI: c070da84 EBP: 0000000a ESP: c076efc0
[ 1.980923] DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
[ 1.980923] Process swapper (pid: 0, ti=c076e000 task=c06e4340 task.ti=c0719000)
[ 1.980923] Stack: c07e48a4 fffb73d4 c1ddca80 c076efcc c076efcc c0719e50 00000021 c070da84
[ 1.980923] 0000000a c0429540 00000000 c0719e50 c0719000 c04294b3 00000046 c0405a09
[ 1.980923] Call Trace:
[ 1.980923] [<c0429540>] __do_softirq+0x8d/0x121
[ 1.980923] [<c04294b3>] __do_softirq+0x0/0x121
[ 1.980923] [<c0405a09>] do_softirq+0x6c/0xa9
[ 1.980923] [<c044eb3a>] handle_level_irq+0x0/0xc2
[ 1.980923] [<c042947f>] irq_exit+0x35/0x69
[ 1.980923] [<c0405adf>] do_IRQ+0x99/0xae
[ 1.980923] [<c042cde1>] free_uid+0x22/0x8f
[ 1.980923] [<c042cdd7>] free_uid+0x18/0x8f
[ 1.980923] [<c0404417>] common_interrupt+0x23/0x28
[ 1.980923] [<c042cde1>] free_uid+0x22/0x8f
[ 1.980923] [<c042cdd7>] free_uid+0x18/0x8f
[ 1.980923] [<c041007b>] speedstep_get_freqs+0x8a/0x1c1
[ 1.980923] [<c041007b>] speedstep_get_freqs+0x8a/0x1c1
[ 1.980923] [<c0407533>] text_poke_early+0x3b/0x52
[ 1.980923] [<c0407557>] add_nops+0xd/0x3e
[ 1.980923] [<c0407609>] apply_paravirt+0x81/0x91
[ 1.980923] [<c043d110>] tick_nohz_stop_sched_tick+0x2e7/0x2f1
[ 1.980923] [<c043f952>] smp_call_function_mask+0x1e/0x178
[ 1.980923] [<c0413c9f>] do_flush_tlb_all+0x0/0x3c
[ 1.980923] [<c043f98f>] smp_call_function_mask+0x5b/0x178
[ 1.980923] [<c0413c9f>] do_flush_tlb_all+0x0/0x3c
[ 1.980923] [<c044eb3a>] handle_level_irq+0x0/0xc2
[ 1.980923] [<c04714f1>] kmem_cache_alloc+0x64/0x91
[ 1.980923] [<c0419785>] native_flush_tlb_global+0x3e/0x43
[ 1.980923] [<c042916e>] on_each_cpu+0x24/0x2c
[ 1.980923] [<c04713c6>] kfree+0xa5/0xac
[ 1.980923] [<c061fd43>] text_poke+0xfe/0x12d
[ 1.980923] [<c060d119>] netlbl_cipsov4_add+0x5b8/0x66f
[ 1.980923] [<c0622a99>] _etext+0x0/0xfb567
[ 1.980923] [<c0407652>] alternatives_smp_unlock+0x39/0x46
[ 1.980923] [<c0726f67>] alternative_instructions+0xd6/0xfd
[ 1.980923] [<c07278da>] check_bugs+0xd6/0xd8
[ 1.980923] [<c071e7c8>] start_kernel+0x2aa/0x2b7
[ 1.980923] =======================
[ 1.980923] Code: 39 c3 75 8b a1 00 db 70 c0 8b 4e 08 39 c8 0f 89 eb fe ff ff c7 46 04 00 00 00 00 89 f0 e8 b8 cf fe ff 90 fb 90 8d b4 26 00 00 00 <00> 90 83 c4 0c 5b 5e 5f 5d c3 57 b9 10 00 00 00 56 89 c6 53 31
[ 1.980923] EIP: [<c042c650>] run_timer_softirq+0x161/0x16b SS:ESP 0068:c076efc0
[ 1.982017] Kernel panic - not syncing: Fatal exception in interrupt
(0004611)
clubbing80s (reporter)
2010-07-12 00:32

Hi
Same problem here.
virtualbox 3.2.6.r63112
Fedora 12 i386 os
Hardeware is HP Compaque DC5100 P4
I have tried enabling the service interface, I have tried setting it, unconnected , and to different serial /dev devices .. I have tried other settings as well ..

Regards
Greg
(0004698)
abadger1406 (reporter)
2010-08-29 16:47

Same issue when running VirtualBox 3.1.6_OSE under Ubuntu Luicd.

Added a serial port - same kernel panic message.

Now it just started working .. and all I did was restart restart the install.. ??

Sorry for not being able to provide more....
(0004712)
jmpocheau (reporter)
2010-09-08 23:17

Hi,
same problem here also :
VirtualBox 3.2.8 r64453
OpenSuse 11.2 64 bits
Unable to install, even with a serial port
and retrying a few times.

Best regards,
Jean-Marc
(0004713)
jmpocheau (reporter)
2010-09-09 18:09

After reading some posts on the net, I made another try
with only IDE disks and a serial port.

Still the same error.

Jean-Marc
(0004715)
adoades93 (reporter)
2010-09-13 10:53

Same.. tried all sorts of things to get working but still crashes
(0004726)
mattbrad (reporter)
2010-09-14 20:31

Was there ever any resolution to saw3's problem? I am encountering the exact same error at the same point in installation. I'm using 3.2.8 on Windows 7. I also have a Lucid machine I'm going to try it on now.

I have enabled the Serial port and it still fails.
(0004880)
christian-endian (administrator)
2010-09-28 11:05

Has been fixed in the upcoming release.

- Issue History
Date Modified Username Field Change
2010-05-30 14:35 Denny Crane New Issue
2010-05-30 20:28 baldy Note Added: 0004308
2010-06-01 08:22 christian-endian Note Added: 0004326
2010-06-01 08:23 christian-endian Status new => feedback
2010-06-01 13:39 Denny Crane Note Added: 0004331
2010-06-01 13:40 Denny Crane Note Edited: 0004331
2010-06-01 14:02 giig Note Added: 0004332
2010-06-01 14:05 baldy Note Added: 0004333
2010-06-20 13:51 monska Note Added: 0004542
2010-06-22 11:35 clubbing80s Note Added: 0004550
2010-06-28 18:00 subsonica Note Added: 0004566
2010-06-28 18:00 subsonica Status feedback => resolved
2010-06-28 18:00 subsonica Resolution open => fixed
2010-06-28 18:00 subsonica Assigned To => subsonica
2010-06-28 18:13 subsonica Note Added: 0004567
2010-06-28 18:13 subsonica Status resolved => feedback
2010-06-28 18:13 subsonica Resolution fixed => reopened
2010-06-28 18:16 subsonica Note Added: 0004568
2010-06-28 18:16 subsonica Status feedback => resolved
2010-06-28 18:16 subsonica Resolution reopened => fixed
2010-07-10 08:41 saw3 Note Added: 0004607
2010-07-10 08:41 saw3 Status resolved => feedback
2010-07-10 08:41 saw3 Resolution fixed => reopened
2010-07-12 00:32 clubbing80s Note Added: 0004611
2010-07-12 00:38 clubbing80s File Added: Fatal_exception_in_interrupt.png
2010-08-29 16:47 abadger1406 Note Added: 0004698
2010-09-08 23:17 jmpocheau Note Added: 0004712
2010-09-09 18:09 jmpocheau Note Added: 0004713
2010-09-13 10:53 adoades93 Note Added: 0004715
2010-09-14 20:31 mattbrad Note Added: 0004726
2010-09-23 10:42 peter-endian Assigned To subsonica =>
2010-09-23 10:42 peter-endian Status feedback => acknowledged
2010-09-23 10:42 peter-endian Target Version => 2.4.1
2010-09-24 16:04 peter-endian Summary Kernel Panic during installation in a VM => Kernel Panic during installation in a Virtualbox VM
2010-09-28 11:05 christian-endian Note Added: 0004880
2010-09-28 11:05 christian-endian Status acknowledged => resolved
2010-09-28 11:05 christian-endian Fixed in Version => 2.4.1
2010-09-28 11:05 christian-endian Resolution reopened => fixed
2010-09-28 11:05 christian-endian Assigned To => christian-endian
2010-11-22 11:49 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker